> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Subscribed Triggers

> List all triggers that a user is currently subscribed to.



## OpenAPI

````yaml /actionkit/triggers/openapi.json GET /projects/{project_id}/trigger-subscriptions
openapi: 3.0.0
info:
  title: Triggers API
  version: 1.0.0
servers:
  - url: https://actionkit.useparagon.com
    description: US Cloud
security: []
paths:
  /projects/{project_id}/trigger-subscriptions:
    get:
      summary: List Subscribed Triggers
      description: >-
        Return all trigger subscriptions for this user.


        If `X-Paragon-Credential` is specified, only that credential's trigger
        subscriptions are listed. Otherwise, all credentials' trigger
        subscriptions are listed.
      operationId: listSubscribedTriggers
      parameters:
        - $ref: '#/components/parameters/ProjectId'
        - $ref: '#/components/parameters/IntegrationsFilter'
        - $ref: '#/components/parameters/CredentialHeader'
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - ACTIVE
              - ERRORED
            description: >-
              Filter subscriptions to only active or errored (default behavior
              is to include all)
        - name: type
          in: query
          required: false
          schema:
            type: string
            description: Filter subscriptions to a specific type of Trigger
            example: SALESFORCE_TRIGGER_RECORD_CREATED
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  triggers:
                    type: object
                    description: A map of integrations with their subscribed triggers
                    additionalProperties:
                      type: array
                      items:
                        $ref: '#/components/schemas/TriggerSubscription'
              example:
                triggers:
                  salesforce:
                    - id: <uuid>
                      type: SALESFORCE_TRIGGER_RECORD_CREATED
                      parameters:
                        recordType: Opportunity
                      status: ACTIVE
                      dateCreated: '2025-05-31T00:00:00Z'
                      dateLastReceivedEvent: '2025-05-31T00:00:00Z'
                      credentialId: <uuid>
                      webhookOverride:
                        url: https://override.com
                    - id: <uuid>
                      type: SALESFORCE_TRIGGER_RECORD_CREATED
                      parameters:
                        recordType: Opportunity
                      status: ERRORED
                      error: >-
                        Failed to check for new records after repeated failures.
                        Last error: Request failed with 500 { ... error info ...
                        }
                      dateCreated: '2025-05-31T00:00:00Z'
                      dateLastReceivedEvent: '2025-05-31T00:00:00Z'
                      credentialId: <uuid>
        '400':
          description: >-
            Bad Request - X-Paragon-Credential is specified but integrations is
            also provided (these options cannot be passed together)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  parameters:
    ProjectId:
      name: project_id
      in: path
      required: true
      schema:
        type: string
        description: Your Paragon Project ID
    IntegrationsFilter:
      name: integrations
      in: query
      required: false
      schema:
        type: string
        description: >-
          Filter by specific integrations that the user has connected.
          Comma-separated list.
        example: salesforce,hubspot
    CredentialHeader:
      name: X-Paragon-Credential
      in: header
      required: false
      schema:
        type: string
        format: uuid
        description: >-
          Specify a credential ID when multiple accounts are connected for the
          same integration
  schemas:
    TriggerSubscription:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The subscription ID
          example: <uuid>
        type:
          type: string
          description: The trigger type
          example: SALESFORCE_TRIGGER_RECORD_CREATED
        parameters:
          type: object
          description: The trigger configuration parameters
          additionalProperties: true
          example:
            recordType: Opportunity
        status:
          type: string
          enum:
            - ACTIVE
            - ERRORED
          description: >-
            ACTIVE: currently receiving events. ERRORED: errors checking for
            records or repeated webhook delivery issues resulted in the trigger
            being disabled.
        error:
          type: string
          description: The reason for an error (only present when status is ERRORED)
          example: >-
            Failed to check for new records after repeated failures. Last error:
            Request failed with 500 { ... error info ... }
        dateCreated:
          type: string
          format: date-time
          description: The date the subscription was created
          example: '2025-05-31T00:00:00Z'
        dateLastReceivedEvent:
          type: string
          format: date-time
          description: >-
            For polling triggers: date we last checked for new records. For
            webhook triggers: date we last received a webhook event.
          example: '2025-05-31T00:00:00Z'
        credentialId:
          type: string
          format: uuid
          description: The credential ID associated with this subscription
          example: <uuid>
        webhookOverride:
          $ref: '#/components/schemas/WebhookOverride'
          description: Undefined if no webhook override is set for this subscription
      required:
        - id
        - type
        - parameters
        - status
        - dateCreated
        - dateLastReceivedEvent
        - credentialId
    Error:
      type: object
      properties:
        message:
          type: string
          description: Error message
        code:
          type: string
          description: Error code
        status:
          type: integer
          description: HTTP status code
    WebhookOverride:
      type: object
      properties:
        url:
          type: string
          format: uri
          description: The webhook URL to receive trigger events
          example: https://example.com
        headers:
          type: object
          description: HTTP headers (case-insensitive) to pass with each webhook request
          additionalProperties:
            type: string
        metadata:
          type: object
          description: >-
            JSON object to include with webhook payload. This will be passed in
            the `triggerSubscriptionMetadata` field of incoming webhook events.
          additionalProperties: true
      required:
        - url
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Your [Paragon User
        Token](/getting-started/installing-the-connect-sdk#setup) (JWT), which
        you can generate using your project's signing keys.

````